> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scanoss.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Standard echo



## OpenAPI

````yaml /api-reference/scanning-openapi.json post /v2/scanning/echo
openapi: 3.0.0
info:
  title: SCANOSS Scanning Service
  version: '2.0'
  contact:
    name: scanoss-scanning
    url: https://github.com/scanoss/scanning
    email: support@scanoss.com
servers: []
security: []
tags:
  - name: Scanning
paths:
  /v2/scanning/echo:
    post:
      tags:
        - Scanning
      summary: Standard echo
      operationId: Scanning_Echo
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v2EchoRequest'
        description: Echo Message Request.
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v2EchoResponse'
        '404':
          description: Returned when the resource does not exist.
          content:
            application/json:
              schema:
                type: string
                format: string
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v2EchoRequest:
      type: object
      properties:
        message:
          type: string
      description: Echo Message Request.
    v2EchoResponse:
      type: object
      properties:
        message:
          type: string
      description: Echo Message Response.
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}

````